#ifndef hal_driving_wheel
#define hal_driving_wheel
#ifdef __cplusplus
extern "C" {
#endif
#include "global_param.h"
#include "driving_wheel.h"

/*-----------------Wheel------------------------*/

typedef struct
{
	int8_t dir;
	volatile int32_t undir_count;
	volatile int32_t dir_count;
}Encoder_t;
void Hal_Driving_Periph_Init(void);
volatile uint16_t *Hal_Wheel_GetCcr_A(void);
volatile int32_t *Hal_Wheel_GetWheel_A_Addr_UndirEncoder(void);
volatile int32_t *HwWheel_GetWheel_A_Addr_DirEncoder(void);
void HwWheel_Config_Wheel_A(uint8_t state);
void Hal_Wheel_Encoder_A_Isr(void);
void Hal_Wheel_Set_Dir_A(Wheel_Dir_t dir);
/*******************************************************/
volatile uint16_t *Hal_Wheel_GetCcr_B(void);
volatile int32_t *Hal_Wheel_GetWheel_B_Addr_UndirEncoder(void);
volatile int32_t *HwWheel_GetWheel_B_Addr_DirEncoder(void);
void HwWheel_Config_Wheel_B(uint8_t state);
void Hal_Wheel_Encoder_B_Isr(void);
void Hal_Wheel_Set_Dir_B(Wheel_Dir_t dir);
/*******************************************************/
volatile uint16_t *Hal_Wheel_GetCcr_C(void);
volatile int32_t *Hal_Wheel_GetWheel_C_Addr_UndirEncoder(void);
volatile int32_t *HwWheel_GetWheel_C_Addr_DirEncoder(void);
void HwWheel_Config_Wheel_C(uint8_t state);
void Hal_Wheel_Encoder_C_Isr(void);
void Hal_Wheel_Set_Dir_C(Wheel_Dir_t dir);
#ifdef __cplusplus
}
#endif
#endif

