#ifndef _HAL_LINUX_USART_H
#define _HAL_LINUX_USART_H
#ifdef __cplusplus
extern "C" {
#endif
#include "stdio.h"	
#include "global_param.h"

#define USART_REC_LEN  			200  	//定义最大接收字节数 200
#define EN_USART1_RX 			1		//使能（1）/禁止（0）串口1接收
	  	
extern u8  USART_RX_BUF[USART_REC_LEN]; //接收缓冲,最大USART_REC_LEN个字节.末字节为换行符 
extern u16 USART_RX_STA;         		//接收状态标记	
//如果想串口中断接收，请不要注释以下宏定义
void Hal_linux_Uart_Init(void);
#ifdef __cplusplus
}
#endif
#endif


