#include "hal_rcc.h"
#include "hk32f10x.h"

void RccInit(void)
{
	#if 0
	RCC_DeInit();
	RCC_HSEConfig(RCC_HSE_ON);
	while(RCC_WaitForHSEStartUp() != SUCCESS)
	{
	}
	RCC_PLLConfig(RCC_PLLSource_HSE_Div1,RCC_PLLMul_16);
	RCC_PLLCmd(ENABLE);
	while(RCC_GetFlagStatus(RCC_FLAG_PLLRDY) != SET){};
	RCC_SYSCLKConfig(RCC_SYSCLKSource_PLLCLK);//72MHz
	RCC_HCLKConfig(RCC_SYSCLK_Div1);//72MHz
	RCC_PCLK1Config(RCC_HCLK_Div2);//36MHz
	RCC_PCLK2Config(RCC_HCLK_Div1);//72MHz

	SystemCoreClockUpdate();
		
	/*ʹõʱ*/	
	RCC_ADCCLKConfig(RCC_PCLK2_Div6);  //72/6 = 12MHz,  ADCʱMAX=14MHz
	#endif

	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_DMA1, ENABLE);    //DMA1ʱ
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_ADC1, ENABLE);
		
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_AFIO, ENABLE);
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_GPIOB | RCC_APB2Periph_GPIOC \
						   | RCC_APB2Periph_GPIOD | RCC_APB2Periph_GPIOE, ENABLE);		
}

