#include "hk32f10x.h"
#include "main.h"
#include "robot_ctrl.h"
#if RT_THREAD
#include "board.h"
#include "rtthread.h"
#include "thread_init.h"

static rt_thread_t start_thread = RT_NULL;
int main(void)
{	
	start_thread =
	rt_thread_create("start_thread",
	                   start_thread_entry,
	                   RT_NULL,
	                   512,
	                   0,
	                   20);
	if(start_thread != RT_NULL)
		rt_thread_startup(start_thread);
	else
		return -1;	
	
}

#elif 1
int main(void)
{      
	
    System_Init();
    while(1)
    {
        System_Process();
    }
}
#endif
