/******************************************************************************
**************************Hardware interface layer*****************************
* | file      	:	LD3320_Config.h
* |	version			:	V1.0
* | date				:	2020-06-18
* | function		:	Provide the hardware underlying interface	
******************************************************************************/
#ifndef __LD3320_CONFIG_H
#define __LD3320_CONFIG_H
#ifdef __cplusplus
extern "C" {
#endif
#include "HK32f10x.h"
#include <stdint.h>
#include <stdio.h>
#include "delay.h"
#define IRQ_Pin GPIO_Pin_1
#define IRQ_GPIO_Port GPIOB
#define IRQ_EXTI_IRQn EXTI1_IRQn
//#define WR_Pin GPIO_PIN_8
//#define WR_GPIO_Port GPIOA
#define RST_Pin  GPIO_Pin_0
#define RST_GPIO_Port GPIOB
#define CS_Pin GPIO_Pin_4
#define CS_GPIO_Port GPIOA
//data
#define UBYTE   uint8_t
#define UWORD   uint16_t
#define UDOUBLE uint32_t

void Driver_Delay_ms(uint32_t xms);
UBYTE spi_send_byte(UBYTE value);
#ifdef __cplusplus
}
#endif				
#endif
