/******************************************************************************
*****************************LD3320 test demo**********************************
* | file      	:	LD3320_Demo.h
* |	version			:	V1.0
* | date				:	2020-06-18
* | function		:	LD3320 test demo
******************************************************************************/
#ifndef __LD3320_PROCESS_H
#define	__LD3320_PROCESS_H
#ifdef __cplusplus
extern "C" {
#endif
#include "LD3320_Driver.h"

typedef enum
{

	ONE =1,
	TWO,
	THREE,
	FOUR,
	FIVE,
	SIX,
	SEVEN,
	EIGHT,
	NINE,
	TEN,
	TWENTY,
	RESPOSE,
	RTC_HEAD,
	POINT,
	COMPLETE,
	MINUTE,
	AIR_QUALITY,
	GOOD,
	CURRENT_IAQ,
	PPM,
	TEMPERATURE,
	CELSIUS,
	HUMIDITY,
	PERCENTAGE,
	ROBOT,
	FORWARD,
	BACKWARD,
	TURNLEFT,
	TURNRIGHT,
	PLAY_MUSIC,
	NEXT_MUSIC,
	PREVIOUS_MUSIC,
} SpeakerType;

void Play_Packet(SpeakerType id,uint8_t volume);	
void Play_Number_Packet(SpeakerType id,uint8_t volume);
void LD_Peripheral_Init(void);
#ifdef __cplusplus
}
#endif
#endif
