#ifndef __MPUIIC_H
#define __MPUIIC_H
#include "delay.h"
	   
#include <inttypes.h>
#include "hk32f10x.h"
#ifdef __cplusplus
extern "C" {
#endif
#define I2C_WR	0		/* дbit */
#define I2C_RD	1		/* bit */

void i2c_Start(void);
void i2c_Stop(void);
void i2c_SendByte(uint8_t _ucByte);
uint8_t i2c_ReadByte(u8 ack);
uint8_t i2c_WaitAck(void);
void i2c_Ack(void);
void i2c_NAck(void);
uint8_t i2c_CheckDevice(uint8_t _Address);
void i2c_GPIO_Config(void);
#ifdef __cplusplus
}
#endif
#endif
















