#include "hal_infrared.h"
#include "global_param.h"
#define MCU_INFRARED_ONE_GPIO   GPIOE
#define MCU_INFRARED_ONE_PIN	GPIO_Pin_8
#define MCU_INFRARED_ONE_CLK    RCC_APB2Periph_GPIOE

#define MCU_INFRARED_TWO_GPIO   GPIOE
#define MCU_INFRARED_TWO_PIN	  GPIO_Pin_10

#define MCU_INFRARED_THREE_GPIO   GPIOE
#define MCU_INFRARED_THREE_PIN	  GPIO_Pin_12

#define MCU_INFRARED_FOUR_GPIO   GPIOE
#define MCU_INFRARED_FOUR_PIN	  GPIO_Pin_14

#define MCU_INFRARED_FIVE_GPIO   GPIOE
#define MCU_INFRARED_FIVE_PIN	  GPIO_Pin_15

#define MCU_INFRARED_SIX_GPIO   GPIOC
#define MCU_INFRARED_SIX_PIN	GPIO_Pin_13
#define MCU_INFRARED_SIX_CLK    RCC_APB2Periph_GPIOC

bool Infrared_IsOne_Trig(void)
{
	return GPIO_ReadInputDataBit(MCU_INFRARED_ONE_GPIO,MCU_INFRARED_ONE_PIN)? false : true;
}

void Infrared_Init(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	 
	RCC_APB2PeriphClockCmd(MCU_INFRARED_ONE_CLK|MCU_INFRARED_SIX_CLK, ENABLE);	//使能USART1，GPIOA时钟
   
    GPIO_InitStructure.GPIO_Pin = MCU_INFRARED_ONE_PIN|MCU_INFRARED_TWO_PIN|MCU_INFRARED_THREE_PIN
	|MCU_INFRARED_FOUR_PIN|MCU_INFRARED_FIVE_PIN;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;//浮空输入
    GPIO_Init(MCU_INFRARED_ONE_GPIO, &GPIO_InitStructure);  

	GPIO_InitStructure.GPIO_Pin = MCU_INFRARED_SIX_PIN;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;//浮空输入
    GPIO_Init(MCU_INFRARED_SIX_GPIO, &GPIO_InitStructure);  
}

