#ifndef _hal_irq_manager_
#define _hal_irq_manager_	 
#ifdef __cplusplus
extern "C" {
#endif

#include "global_param.h"
	
extern void (*Exit_isr[])(void);
extern void (*Dma_Channel_isr[])(void); 
extern void (*Uart_Channel_isr[])(void); 
extern void (*Timer_Isr[])(uint32_t tim_sr);
void Timer1_Isr(uint32_t tim_sr);
void Timer1_Up_Isr(uint32_t tim_sr);
void Timer2_Isr(uint32_t tim_sr);
void Timer6_Isr(uint32_t tim_sr);
void Timer7_Isr(uint32_t tim_sr);
void Timer14_Isr(uint32_t tim_sr);
void Timer15_Isr(uint32_t tim_sr);
void Timer16_Isr(uint32_t tim_sr);
void Timer17_Isr(uint32_t tim_sr);
void Rtc_Isr(void);	 
#ifdef __cplusplus
}
#endif
#endif


