#ifndef __HAL_LED_H
#define __HAL_LED_H
#ifdef __cplusplus
extern "C" {
#endif
#include "hk32f10x.h"
	
#ifdef __cplusplus
}
#endif


class LedIIC
{
public:
	LedIIC();
	enum{
		I2C_WR =0,/* 写控制bit */
		I2C_RD ,		/* 读控制bit */
	};
	void i2c_Start(void);
	void i2c_Stop(void);
	void i2c_SendByte(uint8_t _ucByte);
	uint8_t i2c_ReadByte(u8 ack);
	uint8_t i2c_WaitAck(void);
	void i2c_Ack(void);
	void i2c_NAck(void);
	uint8_t i2c_CheckDevice(uint8_t _Address);
	void i2c_GPIO_Config(void);
};

#endif

