#ifndef _SPEAKER_H
#define _SPEAKER_H
#ifdef __cplusplus
extern "C" {
#endif
#include "hk32f10x.h"
#include "global_param.h"
#include "robot_ctrl.h"

typedef enum{
	ResposeSta =0x01,
	AirQualitySta = 0x02,
	RealTimeSta = 0x04,
	RobotForwardSta =0x08,
	RobotBackwardSta = 0x10,
	RobotTurnLeftSta = 0x20,
	RobotTurnRightSta = 0x40,
	RobotMusic = 0x80,
	RobotNextMusic = 0x100,
	RobotPreviousMusic = 0x200,
}Speaker_Task_Def;
extern rt_event_t speak_task_event ;

#ifdef __cplusplus
}
int Speaker_thread_Init(void);
#endif		 
#endif
